## ros-kinetic-robot-pose-publisher 0.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robot_pose_publisher)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS geometry_msgs roscpp tf)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(${PROJECT_NAME} src/robot_pose_publisher.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-robot-pose-publisher (0.2.4-0xenial) xenial; urgency=high

  * Update README.md
  * Update package.xml
  * fixed dox file
  * fixed readme
  * travis edit
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 18 Feb 2016 08:00:00 -0000

ros-kinetic-robot-pose-publisher (0.2.3-0xenial) xenial; urgency=high

  * cleanup for release
  * travis fix
  * travis test
  * gitignore cleanup
  * Dry branch cleanup
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 03 Apr 2014 07:00:00 -0000

ros-kinetic-robot-pose-publisher (0.2.2-0xenial) xenial; urgency=high

  * Merge pull request #3 <https://github.com/WPI-RAIL/robot_pose_publisher/issues/3> from jihoonl/groovy-devel
    searches private node handle to get parameter
  * searches private node handle to get parameter
  * Merge pull request #2 <https://github.com/WPI-RAIL/robot_pose_publisher/issues/2> from jihoonl/groovy-devel
    parameter setting. pose -> posestamped
  * is_stamped param added
  * parameter setting. pose -> posestamped
  * Contributors: Jihoon Lee, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 09 Apr 2013 07:00:00 -0000

ros-kinetic-robot-pose-publisher (0.2.1-0xenial) xenial; urgency=high

  * Merge pull request #1 <https://github.com/WPI-RAIL/robot_pose_publisher/issues/1> from rctoris/groovy-devel
    error messages removed to cleanup output
  * 0.2.1 released
  * error messages removed to cleanup output
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 24 Jan 2013 08:00:00 -0000

ros-kinetic-robot-pose-publisher (0.2.0-0xenial) xenial; urgency=high

  * install added
  * gitignore cleaned
  * catkinized package
  * .gitignore updated with eclipse settings
  * .gitignore updated with eclipse settings
  * new release build
  * initial import
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 10 Jan 2013 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-robot-pose-publisher
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-tf
Homepage: http://ros.org/wiki/robot_pose_publisher
Standards-Version: 3.9.2

Package: ros-kinetic-robot-pose-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-tf
Description: A Simple Node to Publish the Robot's Position Relative to the Map using TFs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robot-pose-publisher//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
